Package org.jfree.report.modules.gui.swing.preview

# Class PageBackgroundDrawable

java.lang.Object
org.jfree.report.modules.gui.swing.preview.PageBackgroundDrawable

public class PageBackgroundDrawable extends Object
Creation-Date: 17.11.2006, 20:31:36

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`PageBackgroundDrawable()`

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(Graphics2D g2, Rectangle2D area)`
Draws the object.
`org.jfree.layouting.modules.output.graphics.PageDrawable`
`getBackend()`
`Dimension`
`getPreferredSize()`
`float`
`getShadowSize()`
`double`
`getZoom()`
`boolean`
`isBorderPainted()`
`boolean`
`isPreserveAspectRatio()`
`void`
`setBackend(org.jfree.layouting.modules.output.graphics.PageDrawable backend)`
`void`
`setBorderPainted(boolean borderPainted)`
`void`
`setShadowSize(float shadowSize)`
`void`
`setZoom(double zoom)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageBackgroundDrawable

public PageBackgroundDrawable()

## Method Details

### getBackend

public org.jfree.layouting.modules.output.graphics.PageDrawable getBackend()

### setBackend

public void setBackend(org.jfree.layouting.modules.output.graphics.PageDrawable backend)

### isBorderPainted

public boolean isBorderPainted()

### setBorderPainted

public void setBorderPainted(boolean borderPainted)

### getZoom

public double getZoom()

### setZoom

public void setZoom(double zoom)

### getPreferredSize

public Dimension getPreferredSize()

### isPreserveAspectRatio

public boolean isPreserveAspectRatio()

### getShadowSize

public float getShadowSize()

### setShadowSize

public void setShadowSize(float shadowSize)

### draw

public void draw(Graphics2D g2, Rectangle2D area)
Draws the object.

Parameters:
  `g2` - the graphics device.
  `area` - the area inside which the object should be drawn.